<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'leaderboard',

    /*
     * Modules.
     */
    'modules'   => ['kpi'],

    
    'kpi'       => [
        'model' => [
            'model'                 => \Bixo\Leaderboard\Models\Kpi::class,
            'table'                 => 'kpis',
            'presenter'             => \Bixo\Leaderboard\Repositories\Presenter\KpiPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'action_id',  'action_type',  'date',  'score',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'leaderboard/kpi',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Leaderboard',
            'module'    => 'Kpi',
        ],

    ],
];
