Lavalite package that provides leaderboard management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/leaderboard`.

    "bixo/leaderboard": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Leaderboard\Providers\LeaderboardServiceProvider::class,

And also add it to alias

    'Leaderboard'  => Bixo\Leaderboard\Facades\Leaderboard::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\LeaderboardTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Leaderboard\Providers\LeaderboardServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Leaderboard\Providers\LeaderboardServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Leaderboard\Providers\LeaderboardServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/leaderboard/{modulename}

**User**

    http://path-to-route-folder/user/leaderboard/{modulename}

**Public**

    http://path-to-route-folder/leaderboards


### API endpoints

**List**

    http://path-to-route-folder/api/user/leaderboard/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/leaderboard/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/leaderboard/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/leaderboard/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/leaderboard/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/leaderboard/{modulename}/{slug}
    METHOD: GET