<?php

namespace Bixo\Leaderboard;

use User;

class Leaderboard
{
    /**
     * $kpi object.
     */
    protected $kpi;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Leaderboard\Interfaces\KpiRepositoryInterface $kpi)
    {
        $this->kpi = $kpi;
    }

    /**
     * Returns count of leaderboard.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.kpi.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->kpi->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\KpiUserCriteria());
        }

        $kpi = $this->kpi->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('leaderboard::' . $view, compact('kpi'))->render();
    }
}
